---
lang: en
title: 'API docs: metrics'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/metrics
permalink: /doc/en/lb4/apidocs.metrics.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metrics](./metrics.md)

## metrics package

A component that reports metrics of Node.js, the LoopBack framework, and your application to Prometheus.

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MetricsComponent](./metrics.metricscomponent.md)


</td><td>

A component providing metrics for Prometheus


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MetricsOptions](./metrics.metricsoptions.md)


</td><td>

Options for metrics component


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MetricsBindings](./metrics.metricsbindings.md)


</td><td>

Binding keys used by this component.


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DEFAULT\_METRICS\_OPTIONS](./metrics.default_metrics_options.md)


</td><td>


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MetricsConfig](./metrics.metricsconfig.md)


</td><td>

Configuration for metrics component with optional properties


</td></tr>
</tbody></table>


